Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.integration
Class HieroglyphManager

    java.lang.Object
      org.kemet.impl.grammar.integration.HieroglyphManager

All Implemented Interfaces:
  IGlobals

    public class HieroglyphManager

extends java.lang.Object
implements IGlobals

Since:
  0.6
Author:
  fabricemaupin

  management for sequences of hieroglyphs.

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Constructor Summary
`HieroglyphManager(java.lang.String listHieros, GrammarManager gm, java.util.HashMap<java.lang.String,java.lang.String> phInfo)` initialize the analyze of the list of hieroglyphs.
`HieroglyphManager(java.lang.String listHieros, GrammarManager gm, java.util.HashMap<java.lang.String,java.lang.String> phInfo, int typeOutput)` initialize the analyze of the list of hieroglyphs.

Method Summary
`java.lang.String[]` | `analyze()` analyze of the list of hieroglyphs.
`static java.lang.String[]` | `getListOfHieroglyphs(java.lang.String list)` return a list of hieroglyphs (id).
`boolean` | `propositionIsCorrect(int type)` verify if the format of proposition is correct.
`static java.util.ArrayList<java.lang.String>` | `splitListOfHieroglyphs(java.lang.String list)` return a list of hieroglyphs (id).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HieroglyphManager

    public HieroglyphManager(java.lang.String listHieros,
                             GrammarManager gm,
                             java.util.HashMap<java.lang.String,java.lang.String> phInfo,
                             int typeOutput)

  initialize the analyze of the list of hieroglyphs.

  Parameters:
    `listHieros` - the list of hieroglyphs to analyze
    `gm` - the grammar manager
    `phInfo` - list of phonograms not sorted
    `typeOutput` - type of output
  Since:
    0.6

### HieroglyphManager

    public HieroglyphManager(java.lang.String listHieros,
                             GrammarManager gm,
                             java.util.HashMap<java.lang.String,java.lang.String> phInfo)

  initialize the analyze of the list of hieroglyphs.

  Parameters:
    `listHieros` - the list of hieroglyphs to analyze
    `gm` - the grammar manager
    `phInfo` - list of phonograms not sorted
  Since:
    0.6

Method Detail

### analyze

    public java.lang.String[] analyze()
                               throws KemetAPIException

  analyze of the list of hieroglyphs.

  Returns:
    list of objects
  Throws:
    `KemetAPIException`
  Since:
    0.6

### getListOfHieroglyphs

    public static java.lang.String[] getListOfHieroglyphs(java.lang.String list)

  return a list of hieroglyphs (id).

  Parameters:
    `list` - list of hieroglyphs
  Returns:
    list of hieroglyphs (id)
  Since:
    0.5

### splitListOfHieroglyphs

    public static java.util.ArrayList<java.lang.String> splitListOfHieroglyphs(java.lang.String list)

  return a list of hieroglyphs (id).

  Parameters:
    `list` - list of hieroglyphs
  Returns:
    list of hieroglyphs (id)
  Since:
    0.5

### propositionIsCorrect

    public boolean propositionIsCorrect(int type)
                                 throws KemetAPIException

  verify if the format of proposition is correct.

  Parameters:
    `type` - type of proposition
  Returns:
    true / false
  Throws:
    `KemetAPIException`
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.